Skip to main content

Documentation Index

Fetch the complete documentation index at: https://onlook.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Supported destinations

DestinationFormatStatus
SplunkHEC JSONAvailable
Microsoft SentinelCEFAvailable
Elastic SIEMECS JSONAvailable
Generic webhookJSONAvailable

Configure export

In the Attune Compliance dashboard, go to Settings → SIEM Export and add your destination. Or via API:
POST /v1/attune/siem
{
  "type": "splunk",
  "url": "https://splunk.your-org.com:8088/services/collector",
  "token": "YOUR_HEC_TOKEN",
  "index": "onlookai"
}

Event format (Splunk)

{
  "time": 1745846328,
  "source": "onlookai",
  "sourcetype": "attention_event",
  "event": {
    "sessionId": "sess_8xK2mP9q",
    "userId": "alice@acme.com",
    "type": "SCORE_DROP",
    "score": 34,
    "threshold": 40
  }
}